{
  "name": "pagos-linea",
  "version": "0.0.0",
  "private": true,
  "description": "Description for pagosLinea",
  "license": "UNLICENSED",
  "scripts": {
    "prettier:check": "prettier --check \"{,src/**/}*.{md,json,yml,html,java}\"",
    "prettier:format": "prettier --write \"{,src/**/}*.{md,json,yml,html,java}\"",
    "docker:db:up": "docker-compose -f src/main/docker/postgresql.yml up -d",
    "docker:db:down": "docker-compose -f src/main/docker/postgresql.yml down -v --remove-orphans",
    "docker:others:await": "",
    "predocker:others:up": "",
    "docker:others:up": "",
    "docker:others:down": "",
    "ci:e2e:prepare:docker": "npm run docker:db:up && npm run docker:others:up && docker ps -a",
    "ci:e2e:prepare": "npm run ci:e2e:prepare:docker",
    "ci:e2e:teardown:docker": "npm run docker:db:down --if-present && npm run docker:others:down && docker ps -a",
    "ci:e2e:teardown": "npm run ci:e2e:teardown:docker",
    "backend:info": "./mvnw -ntp enforcer:display-info --batch-mode",
    "backend:doc:test": "./mvnw -ntp javadoc:javadoc --batch-mode",
    "backend:nohttp:test": "./mvnw -ntp checkstyle:check --batch-mode",
    "java:jar": "./mvnw -ntp verify -DskipTests --batch-mode",
    "java:war": "./mvnw -ntp verify -DskipTests --batch-mode -Pwar",
    "java:docker": "./mvnw -ntp verify -DskipTests jib:dockerBuild",
    "backend:unit:test": "./mvnw -ntp -P-webapp verify --batch-mode -Dlogging.level.ROOT=OFF -Dlogging.level.org.zalando=OFF -Dlogging.level.tech.jhipster=OFF -Dlogging.level.com.pagosenlinea=OFF -Dlogging.level.org.springframework=OFF -Dlogging.level.org.springframework.web=OFF -Dlogging.level.org.springframework.security=OFF",
    "java:jar:dev": "npm run java:jar -- -Pdev,webapp",
    "java:jar:prod": "npm run java:jar -- -Pprod",
    "java:war:dev": "npm run java:war -- -Pdev,webapp",
    "java:war:prod": "npm run java:war -- -Pprod",
    "java:docker:dev": "npm run java:docker -- -Pdev,webapp",
    "java:docker:prod": "npm run java:docker -- -Pprod",
    "ci:backend:test": "npm run backend:info && npm run backend:doc:test && npm run backend:nohttp:test && npm run backend:unit:test",
    "ci:server:package": "npm run java:$npm_package_config_packaging:$npm_package_config_default_environment",
    "ci:e2e:package": "npm run java:$npm_package_config_packaging:$npm_package_config_default_environment -- -Pe2e -Denforcer.skip=true",
    "preci:e2e:server:start": "npm run docker:db:await --if-present && npm run docker:others:await --if-present",
    "ci:e2e:server:start": "java -jar target/e2e.$npm_package_config_packaging --spring.profiles.active=$npm_package_config_default_environment -Dlogging.level.ROOT=OFF -Dlogging.level.org.zalando=OFF -Dlogging.level.tech.jhipster=OFF -Dlogging.level.com.pagosenlinea=OFF -Dlogging.level.org.springframework=OFF -Dlogging.level.org.springframework.web=OFF -Dlogging.level.org.springframework.security=OFF --logging.level.org.springframework.web=ERROR"
  },
  "config": {
    "backend_port": "8080",
    "packaging": "jar"
  },
  "devDependencies": {
    "generator-jhipster": "7.0.0",
    "husky": "4.3.8",
    "lint-staged": "10.5.4",
    "prettier": "2.2.1",
    "prettier-plugin-java": "1.0.2",
    "prettier-plugin-packagejson": "2.2.10"
  },
  "engines": {
    "node": ">=14.16.0"
  },
  "cacheDirectories": [
    "node_modules"
  ]
}
